#include <stdio.h>
#include <MClib.h>

#define MATRIX_SIZE 600

int a[MATRIX_SIZE][MATRIX_SIZE];
int b[MATRIX_SIZE][MATRIX_SIZE];
int c[MATRIX_SIZE][MATRIX_SIZE];

int main()
{
    int id_x, id_y, rank_x, rank_y;
    MC_init(&id_x, &id_y, &rank_x, &rank_y);

    if (id_x == 1 && id_y == 1) {
        // $B9TNs$N=i4|2=(B
        int i, j;
        for (i = 0; i < MATRIX_SIZE; i++) {
            for (j= 0; j < MATRIX_SIZE; j++) {
                a[i][j] = i * j;
                b[i][j] = j + i;
            }
        }
        // $B$3$3$+$i7WB,(B
        unsigned long long int start_clock;
        MC_clock(&start_clock);

        // $B9TNs$NB-$7;;(B
        for (i = 0; i < MATRIX_SIZE; i++) {
            for (j= 0; j < MATRIX_SIZE; j++) {
                c[i][j] = a[i][j] + b[i][j];
            }
        }
        // $B7P2a;~4V$NI=<((B
        unsigned long long int clock;
        MC_clock(&clock);
        printf("cycle: %llu\n", clock - start_clock);
    }
    
    MC_finalize();
    return 0;
}
