##########################################################################
## Many-Core Architecture Research Project         Arch Lab. TOKYO TECH ##
##########################################################################
include ../../../base.mk

CMNDIR  = ../common
TARGET  = test
SOURCE  ?= main.c

.PHONY: clean

all: $(TARGET).out

$(LIB):
	$(MAKE) -C $(LIBDIR)

$(TARGET).out: $(SOURCE) $(LIB)
	$(CC) -Wall -O3 $< -c -I$(INCLUDE)
	$(CC) -static main.o $(LIB) -o $@

run:
	$(SIM) $(OPT) test.out

sim:
	$(MAKE) -C $(SIMDIR)

clean:
	rm -f *.o *.s *~ *.out *.coe

##########################################################################
