/**********************************************************************/
/* Many-Core Architecture Research Project       Arch Lab. TOKYO TECH */
/**********************************************************************/
#include "MClib.h"

int array[1024];

/**********************************************************************/
int main(int argc, char *args[])
{
    int i;
    int id_x, id_y, rank_x, rank_y;
    MC_init(&id_x, &id_y, &rank_x, &rank_y);

    for (i = 0; i < 1024; i++)
        array[i] = i;

    if (id_x == rank_x) {
        int size = 64;
        int stride = 4;
        int dst = 0;
        setidxy(&dst, 1, 1);
        MC_dma_put(dst, &array, &array, size, stride, stride);
    }
    MC_sleep(4000);

    MC_finalize();
    return 0;
}

/**********************************************************************/
