/**********************************************************************/
/* Many-Core Architecture Research Project       Arch Lab. TOKYO TECH */
/**********************************************************************/
#include "MClib.h"

int array[1024];

/**********************************************************************/
int main(int argc, char *args[])
{
    int id_x, id_y, rank_x, rank_y;
    MC_init(&id_x, &id_y, &rank_x, &rank_y);

    if (id_x == rank_x && id_y == rank_y) {
        int dst = 0;
        setidxy(&dst, 1, 1);
        MC_dma_put(dst, &array, &array, 0, 0, 0);
    }

    MC_sleep(6000);
    MC_finalize();

    return 0;
}

/**********************************************************************/
